'''
Contains the Canvas class responsible for drawing on the canvas.
'''
import tkinter as tk
class Canvas(tk.Canvas):
    def __init__(self, parent):
        super().__init__(parent, bg="white")
        self.bind("<Button-1>", self.start_drawing)
        self.bind("<B1-Motion>", self.draw)
        self.current_shape = None
        self.current_shape_id = None
        self.start_x = None
        self.start_y = None
    def start_drawing(self, event):
        self.start_x = event.x
        self.start_y = event.y
    def draw(self, event):
        if self.current_shape:
            self.delete(self.current_shape_id)
        self.current_shape_id = self.create_rectangle(
            self.start_x, self.start_y, event.x, event.y, outline="black"
        )