'''
Contains the ColorPicker class for selecting colors.
'''
import tkinter as tk
from tkinter.colorchooser import askcolor
class ColorPicker(tk.Frame):
    def __init__(self, parent):
        super().__init__(parent)
        self.color_button = tk.Button(
            self, text="Pick Color", command=self.pick_color
        )
        self.color_button.pack()
        self.selected_color = None
    def pick_color(self):
        """
        Opens a color picker dialog and sets the selected color as the background color of the ColorPicker frame.
        """
        color = askcolor()
        if color:
            self.selected_color = color[1]
            self.config(bg=self.selected_color)