# Simple Painter User Manual

Welcome to the Simple Painter application! This user manual will guide you through the installation process, introduce the main functions of the software, and provide instructions on how to use it.

## Table of Contents

1. [Installation](#installation)
2. [Main Functions](#main-functions)
3. [Usage](#usage)
4. [Dependencies](#dependencies)

## 1. Installation <a name="installation"></a>

To use the Simple Painter application, you need to follow these steps to install the necessary dependencies:

1. Make sure you have Python installed on your system. You can download Python from the official website: [https://www.python.org/downloads/](https://www.python.org/downloads/)

2. Clone or download the Simple Painter repository from GitHub: [https://github.com/your-repository-link](https://github.com/your-repository-link)

3. Open a terminal or command prompt and navigate to the directory where you cloned or downloaded the repository.

4. Create a virtual environment (optional but recommended) by running the following command:

   ```
   python -m venv myenv
   ```

   Replace `myenv` with the name you want to give to your virtual environment.

5. Activate the virtual environment. The command depends on your operating system:

   - For Windows:

     ```
     myenv\Scripts\activate
     ```

   - For macOS and Linux:

     ```
     source myenv/bin/activate
     ```

6. Install the required dependencies by running the following command:

   ```
   pip install -r requirements.txt
   ```

7. Once the installation is complete, you are ready to use the Simple Painter application!

## 2. Main Functions <a name="main-functions"></a>

The Simple Painter application allows you to draw shapes on a canvas using various drawing tools. Here are the main functions of the software:

- **Canvas**: The canvas is the area where you can draw your shapes. It provides a white background for drawing.

- **Toolbar**: The toolbar contains various drawing tools that you can use to create shapes. It includes options to select the shape (rectangle or circle) and pick the color.

## 3. Usage <a name="usage"></a>

To use the Simple Painter application, follow these steps:

1. Open a terminal or command prompt and navigate to the directory where you cloned or downloaded the repository.

2. Activate the virtual environment (if you created one) by running the appropriate command (as explained in the installation section).

3. Run the `main.py` file using the following command:

   ```
   python main.py
   ```

4. The Simple Painter application window will open.

5. Use the toolbar to select the shape (rectangle or circle) and pick the color.

6. Click and drag on the canvas to draw the selected shape.

7. Release the mouse button to finish drawing the shape.

8. Repeat steps 5-7 to draw more shapes on the canvas.

9. To exit the application, close the window or press `Ctrl+C` in the terminal or command prompt.

## 4. Dependencies <a name="dependencies"></a>

The Simple Painter application requires the following dependencies:

- `tkinter`: The standard Python interface to the Tk GUI toolkit.

These dependencies are automatically installed when you run the `pip install -r requirements.txt` command during the installation process.

If you encounter any issues with the dependencies, please refer to the official documentation for troubleshooting or contact our support team for assistance.

---

Congratulations! You have successfully installed and learned how to use the Simple Painter application. Enjoy creating beautiful drawings! If you have any further questions or need assistance, please don't hesitate to reach out to our support team.