'''
Contains classes for different shapes that can be drawn on the canvas.
'''
class Rectangle:
    def __init__(self, canvas, color):
        self.canvas = canvas
        self.color = color
        self.canvas.bind("<ButtonRelease-1>", self.draw_rectangle)
    def draw_rectangle(self, event):
        self.canvas.create_rectangle(
            self.canvas.start_x, self.canvas.start_y,
            event.x, event.y, outline="black", fill=self.color
        )
        self.canvas.current_shape = None
class Circle:
    def __init__(self, canvas, color):
        self.canvas = canvas
        self.color = color
        self.canvas.bind("<ButtonRelease-1>", self.draw_circle)
    def draw_circle(self, event):
        self.canvas.create_oval(
            self.canvas.start_x, self.canvas.start_y,
            event.x, event.y, outline="black", fill=self.color
        )
        self.canvas.current_shape = None