'''
Contains the Toolbar class that provides the user with various drawing tools.
'''
import tkinter as tk
from colorpicker import ColorPicker
from shapes import Rectangle, Circle
class Toolbar(tk.Frame):
    def __init__(self, parent, canvas):
        super().__init__(parent)
        self.canvas = canvas
        self.color_picker = ColorPicker(self)
        self.color_picker.pack()
        self.rectangle_button = tk.Button(
            self, text="Rectangle", command=self.draw_rectangle
        )
        self.rectangle_button.pack(fill=tk.X)
        self.circle_button = tk.Button(
            self, text="Circle", command=self.draw_circle
        )
        self.circle_button.pack(fill=tk.X)
    def draw_rectangle(self):
        self.canvas.current_shape = Rectangle(self.canvas, self.color_picker.selected_color)
    def draw_circle(self):
        self.canvas.current_shape = Circle(self.canvas, self.color_picker.selected_color)